Skip to content
Docs

Issue a new cert

POSThttps://api.vercel.com/v8/certs
Issue a new cert
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.certs.issueCert({
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"id": "icfg_1234567890",
"createdAt": "123",
"expiresAt": "123",
"autoRenew": "false",
"cns": []
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
cnsarrayOptional
The common names the cert should be issued for
200Success
idstringRequired
createdAtnumberRequired
expiresAtnumberRequired
autoRenewbooleanRequired
cnsarrayRequired
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error
449Error
500Error